Subject: Re: [PATCH v5 04/13] xdiff: delete superfluous function xdl_get_rec() in xemit

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Sep 2025 13:05:29 -0700

Ezekiel Newren <[email-masked]> writes:

> On Tue, Sep 30, 2025 at 7:31 AM Kristoffer Haugsbakk
> <[email-masked]> wrote:
>> > When xrecord_t was a linked list, and recs didn't exist, I assume this
>> > function walked the list until it found the right record. Accessing
>> > a contiguous array is so trival that this function is now superfluous.
>>
>> s/trival/trivial/
>
> I think that other than this typo this patch series is ready to be
> merged in. I would prefer that Junio fix this typo, so I don't spam
> the mailing list with such a small change.

If it is only this instance, I can "rebase -i" it away, sure.

Thanks.